> ## Documentation Index
> Fetch the complete documentation index at: https://docs.release0.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a workspace

> API endpoint to create a new workspace with customizable settings.



## OpenAPI

````yaml POST /v1/workspaces
openapi: 3.0.3
info:
  title: Builder API
  version: 1.0.1
servers:
  - url: https://release0.com/api
security: []
externalDocs:
  url: https://docs.release0.com/api-reference
paths:
  /v1/workspaces:
    post:
      tags:
        - Workspace
      summary: Create workspace
      operationId: workspace-createWorkspace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                icon:
                  type: string
                slug:
                  type: string
                name:
                  type: string
              required:
                - name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspace:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      lastActivityAt:
                        type: string
                      name:
                        type: string
                      icon:
                        type: string
                        nullable: true
                      slug:
                        type: string
                        nullable: true
                      plan:
                        type: string
                        enum:
                          - HOBBY
                          - PRO
                          - BUSINESS
                          - ADVANCED
                          - ENTERPRISE
                          - CUSTOM_APPSUMO_TIER1
                          - CUSTOM_APPSUMO_TIER2
                          - CUSTOM_APPSUMO_TIER3
                          - CUSTOM_APPSUMO_TIER4
                          - CUSTOM_APPSUMO_TIER5
                          - CUSTOM_APPSUMO_TIER6
                          - CUSTOM_APPSUMO_TIER7
                          - CUSTOM_APPSUMO_TIER8
                          - CUSTOM_APPSUMO_TIER9
                          - CUSTOM_APPSUMO_TIER10
                      stripeId:
                        type: string
                        nullable: true
                      isSuspended:
                        type: boolean
                      isPastDue:
                        type: boolean
                      isVerified:
                        type: boolean
                        nullable: true
                      billingCycleStart:
                        type: number
                        nullable: true
                      paymentFailedAt:
                        type: string
                        nullable: true
                      stripeConnectId:
                        type: string
                        nullable: true
                      chatUsage:
                        type: number
                      redeemedCoupons:
                        type: string
                        nullable: true
                      extras:
                        type: array
                        items:
                          type: string
                      addons:
                        type: array
                        items:
                          type: string
                    required:
                      - id
                      - createdAt
                      - updatedAt
                      - lastActivityAt
                      - name
                      - icon
                      - slug
                      - plan
                      - stripeId
                      - isSuspended
                      - isPastDue
                      - isVerified
                      - billingCycleStart
                      - paymentFailedAt
                      - stripeConnectId
                      - chatUsage
                      - redeemedCoupons
                      - extras
                      - addons
                required:
                  - workspace
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````